import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import { getPrefixClassName } from '../../config-provider/context';
import cx from 'classnames';
var LoadFailFill = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var prefixCls = props.prefixCls,
      className = props.className,
      reset = _objectWithoutProperties(props, ["prefixCls", "className"]);

  var iconPrefix = getPrefixClassName('icon', prefixCls);
  return /*#__PURE__*/React.createElement("span", Object.assign({
    className: cx("".concat(iconPrefix, " ").concat(iconPrefix, "-loadFailFill"), className),
    ref: ref
  }, reset), /*#__PURE__*/React.createElement("svg", {
    width: "1em",
    height: "1em",
    viewBox: "0 0 16 16",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h16v16H0z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12 9.333a2.667 2.667 0 110 5.334 2.667 2.667 0 010-5.334zm2-6.666v6.666a3.323 3.323 0 00-1-.514V3.667H2.333v7.5l1.334-1.945 2.27 2.508L9.429 7l1.283 1.924a3.334 3.334 0 00-1.768 4.41h-7.61V2.666H14zm-1.947 10a.32.32 0 100 .64.32.32 0 000-.64zm.24-1.867h-.48v1.467h.48V10.8zm-6.96-6.133a1.333 1.333 0 110 2.666 1.333 1.333 0 010-2.666z",
    fill: "currentColor"
  }))));
});
LoadFailFill.displayName = "LoadFailFill";
export default LoadFailFill;